Add Upload Part

Deprecated
<b>Deprecated.</b> This endpoint is deprecated in favor of the [Create Bulk Transactions Upload URL](/2024-10-01/api/transactions/create-bulk-transactions-upload-url) endpoint. New integrations should use the bulk flow outlined in the [Historical Transaction Uploads](/2024-10-01/api/integration-guides/historical-transaction-uploads) integration guide. Call this endpoint using the upload ID provided in the [Create Upload](/api/uploads/create-upload) endpoint to add parts to your upload. Currently, this endpoint supports adding historical transactions. <b>Required scopes:</b> `transaction:write` <b>Note:</b> `Maximum of 500 transactions can be uploaded per request`.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system
uploadIdstringRequired
The upload ID identifying the upload session to add parts

Request

This endpoint expects an object.
datalist of objectsRequired

Response

This endpoint returns an object.
datalist of objects

Errors

207
Upload Part Multi Status
400
Invalid Request
401
Unauthorized Error
500
Internal Server Error